<?php
    use artbox\core\components\SeoComponent;
    use artbox\core\models\Page;
    use yii\helpers\Html;
    use yii\web\View;
    
    /**
     * @var View         $this
     * @var Page         $model
     * @var Page[]       $pages
     * @var SeoComponent $seo
     */
    $seo = \Yii::$app->get('seo');
    $this->params[ 'breadcrumbs' ][] = $seo->title;
?>

<div id="content">
  <div class="container">
    <section>
      <div class="row">
        
        <div class="col-md-12 clearfix">
          
          <div id="text-page">
            
          <?= $model->lang->body; ?>
          
          </div>
        
        
        </div>
        <!-- /.col-md-12 -->
      </div>
      <!-- /.row -->
    </section>
  </div>
  <!-- /.container -->
</div>

<!-- /#content -->
